package fr.ece.java.eel.data;


import fr.ece.java.eel.Turn;

import java.io.Serializable;

/**
 * Generated by the server when a player is changed, then sent to be handled by the client
 * See {@link fr.ece.java.eel.net.protocol.GameProtocol}
 */
public class PlayerUpdate extends ServerUpdate implements Serializable {
    private int x;
    private int y;

    private int HP;

    private String name;

    private Turn turnNumber;

    private int actionsThisTurn;

    public PlayerUpdate(Player player) {
        this.x = player.getX();
        this.y = player.getY();
        this.HP = player.getCurrentHP();
        this.name = player.getName();
        this.turnNumber = player.getTurnNumber();
        this.actionsThisTurn = player.getActionsThisTurn();
    }

    public int getX() {
        return x;
    }

    public int getY() {
        return y;
    }

    public int getHP() {
        return HP;
    }

    public Turn getTurnNumber() {
        return turnNumber;
    }

    public String getName() {
        return name;
    }

    public int getActionsThisTurn() {
        return actionsThisTurn;
    }
}